Debian Bug report logs - #573857
Please include the Amazon EC2 public certificate in ca-certificates.

version graph

Package: ca-certificates; Maintainer for ca-certificates is Michael Shuler <michael@pbandjelly.org>; Source for ca-certificates is src:ca-certificates.

Reported by: Charles Plessy <plessy@debian.org>

Date: Sun, 14 Mar 2010 13:48:05 UTC

Severity: wishlist

Tags: help

Merged with 597537

Found in version ca-certificates/20090814

Done: "Thijs Kinkhorst" <thijs@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, plessy@debian.org, Philipp Kern <pkern@debian.org>:
Bug#573857; Package ca-certificates. (Sun, 14 Mar 2010 13:48:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
New Bug report received and forwarded. Copy sent to plessy@debian.org, Philipp Kern <pkern@debian.org>. (Sun, 14 Mar 2010 13:48:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Please include the Amazon EC2 public certificate in ca-certificates.
Date: Sun, 14 Mar 2010 22:46:57 +0900
Package: ca-certificates
Version: 20090814
Severity: wishlist

Dear Philip,

some packages related to the Amazon Elastic Computer Cloud (EC2) would benefit
to have its public certificate availabe in a Debian packages. We, the
maintainers of the euca2ools package, wonder if ca-certificates would be an
approporiate place.

( http://lists.alioth.debian.org/pipermail/pkg-eucalyptus-maintainers/2010-March/000013.html
and earlier messages in the thread.)

The EC2 certificate can be found in the following archive:
http://s3.amazonaws.com/ec2-downloads/ec2-ami-tools.zip

Although the software in this archive is distributed under the Amazon Software
License, we think that public certificate is not subject to a licence, since
it is not the product of an intellectual work.

What is your opinion on including the Amazon EC2 public certificate in
ca-certificates?

Have a nice day,

-- 
Charles Plessy
Debian Med packaging team
Tsurumi, Kanagawa, Japan




Information forwarded to debian-bugs-dist@lists.debian.org, Philipp Kern <pkern@debian.org>:
Bug#573857; Package ca-certificates. (Tue, 21 Sep 2010 00:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Philipp Kern <pkern@debian.org>. (Tue, 21 Sep 2010 00:15:03 GMT) Full text and rfc822 format available.

Message #10 received at 573857@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: Miguel Landaeta <miguel@miguel.cc>, 573857@bugs.debian.org
Cc: euca2ools@packages.debian.org
Subject: Re: Bug#597537: euca2ools: Please include the public EC2 certificate
Date: Tue, 21 Sep 2010 09:11:01 +0900
reassign 597537 ca-certificates
merge 573857 597537
affects 573857 euca2ools
thanks

Le Mon, Sep 20, 2010 at 11:51:02AM -0430, Miguel Landaeta a écrit :
> Package: euca2ools
> Version: 1.2-1
> Severity: wishlist
> 
> Hi,
> 
> Is there any possibility to include the public EC2
> certificate in this package?

Dear Miguel,

the approach we took was to propose this certificate to be added in the
ca-certificates packages.

Philipp, do you think it would be possible?

Have a nice day,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan




Information forwarded to debian-bugs-dist@lists.debian.org, Philipp Kern <pkern@debian.org>:
Bug#573857; Package ca-certificates. (Tue, 21 Sep 2010 00:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel Landaeta <miguel@miguel.cc>:
Extra info received and forwarded to list. Copy sent to Philipp Kern <pkern@debian.org>. (Tue, 21 Sep 2010 00:39:03 GMT) Full text and rfc822 format available.

Message #15 received at 573857@bugs.debian.org (full text, mbox):

From: Miguel Landaeta <miguel@miguel.cc>
To: Charles Plessy <plessy@debian.org>
Cc: 573857@bugs.debian.org, euca2ools@packages.debian.org
Subject: Re: Bug#597537: euca2ools: Please include the public EC2 certificate
Date: Mon, 20 Sep 2010 20:03:52 -0430
On Mon, Sep 20, 2010 at 7:41 PM, Charles Plessy <plessy@debian.org> wrote:
> reassign 597537 ca-certificates
> merge 573857 597537
> affects 573857 euca2ools
> thanks
>
> the approach we took was to propose this certificate to be added in the
> ca-certificates packages.
>
> Philipp, do you think it would be possible?

Hi Charles,
Great, I had not considered that alternative. That is a more elegant solution.
Thanks for your quick reply,

Cheers,

-- 
Miguel Landaeta, miguel at miguel.cc
secure email with PGP 0x7D8967E9 available at http://keyserver.pgp.com/
"Faith means not wanting to know what is true." -- Nietzsche




Merged 573857 597537. Request was from Charles Plessy <plessy@debian.org> to control@bugs.debian.org. (Tue, 21 Sep 2010 00:39:06 GMT) Full text and rfc822 format available.

Added indication that 573857 affects euca2ools Request was from Charles Plessy <plessy@debian.org> to control@bugs.debian.org. (Tue, 21 Sep 2010 00:39:07 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'wishlist' Request was from Charles Plessy <plessy@debian.org> to control@bugs.debian.org. (Tue, 23 Aug 2011 03:51:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#573857; Package ca-certificates. (Sat, 29 Oct 2011 00:36:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Shuler <michael@pbandjelly.org>:
Extra info received and forwarded to list. (Sat, 29 Oct 2011 00:36:23 GMT) Full text and rfc822 format available.

Message #26 received at 573857@bugs.debian.org (full text, mbox):

From: Michael Shuler <michael@pbandjelly.org>
To: 622946@bugs.debian.org
Cc: 573857@bugs.debian.org, 597537@bugs.debian.org, control@bugs.debian.org
Subject: Where should the EC2 AMI certificate live?
Date: Fri, 28 Oct 2011 19:23:28 -0500
tag 573857 + help
tag 597537 + help
thanks

As Charles mentioned in #597537 [0], the EC2 AMI certificate is
distributed in the euca2ools package in Ubuntu - should it live in
euca2ools in Debian?  Or, perhaps in the future cloud-utils package [1],
as Charles mentions later in the same bug report?

I am working on cleaning up the ca-certificates bug list and since AWS
EC2 is not a signing Certificate Authority, I don't think it is
appropriate for ca-certificates.  I would like to reassign the merged
bugs #573857 and #597537 to a proper package that would like to include
the EC2 certificate.  Thoughts?

[0] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=597537#18
[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=622946

-- 
Kind regards,
Michael Shuler




Added tag(s) help. Request was from Michael Shuler <michael@pbandjelly.org> to control@bugs.debian.org. (Sat, 29 Oct 2011 00:36:29 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'normal' Request was from Michael Shuler <michael@pbandjelly.org> to control@bugs.debian.org. (Sat, 29 Oct 2011 00:36:32 GMT) Full text and rfc822 format available.

Message #31 received at 597537-done@bugs.debian.org (full text, mbox):

From: "Thijs Kinkhorst" <thijs@debian.org>
To: "Charles Plessy" <plessy@debian.org>, 597537-done@bugs.debian.org
Subject: Re: Bug#597537: Looking for seconds to add the Amazon EC2 public certificate in ca-certificates.
Date: Sat, 15 Jun 2013 10:11:38 +0200
Hi Charles,

On Sat, June 15, 2013 08:24, Charles Plessy wrote:
> Le Wed, Jun 12, 2013 at 08:36:42AM +0200, Thijs Kinkhorst a écrit :
>>
>> What do you think about adding the certificate in a package more
>> specifically geared to this specialist use case? After all, the
>> certificate is not generally usable, only with this specific service.
>> The
>> euca2ools package was suggested as a good place, where Ubuntu seems to
>> keep it aswell, or something like cloud-init?
>
> Hi Thijs,
>
> I still do not like the idea of adding the certificate to euca2ools,
> but I will do it.  If some other developers create a package to contain
> similar certificates, I will be happy to transfer it later.
>
> (Note that the certificate is useful with other implementations of the
> Amazon API.)
>
> Have a nice week-end,

Thanks. It may not be perfect but I believe it's the right way to go at
this point. Of course we can change things anytime later when it makes
sense.


Cheers,
Thijs



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 14 Jul 2013 07:31:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 15:37:16 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.